@charset "UTF-8";
@-webkit-keyframes backgroundMoveTop {
  0% {
    background-position-y: 0%;
  }
  100% {
    background-position-y: 100000%;
  }
}
@keyframes backgroundMoveTop {
  0% {
    background-position-y: 0%;
  }
  100% {
    background-position-y: 100000%;
  }
}
@-webkit-keyframes backgroundMoveBottom {
  0% {
    background-position-y: 0%;
  }
  100% {
    background-position-y: -100000%;
  }
}
@keyframes backgroundMoveBottom {
  0% {
    background-position-y: 0%;
  }
  100% {
    background-position-y: -100000%;
  }
}
/* 自定义弹窗 */
.dialog {
  display: none;
}

#dialog-wrapper {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  position: fixed;
  left: 0;
  top: 0;
  margin: 0;
  display: none;
  z-index: 666;
}

#dialog-wrapper .dialog-mask {
  width: 100vw;
  height: 100vh;
  position: fixed;
  left: 0;
  top: 0;
  margin: 0;
}

#dialog-wrapper .dialog, #dialog-wrapper .popup {
  position: relative;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.body-popup-mask {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99999;
  width: 100%;
  height: 100%;
}

.body-popup-mask *, .body-popup-mask ::before, .body-popup-mask ::after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  outline: none;
}

.body-popup-mask .popup {
  display: block;
}

/* 登录 */
.login {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 666;
  width: 100%;
  height: 45px;
  line-height: 45px;
  font-size: 20px;
  text-align: center;
  color: #fff;
}

.login a {
  text-decoration: none;
  color: #fff;
}

#milo-logined {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

#milo-logout, .areaContainer {
  margin-left: 20px;
}

#milo-userUin {
  margin-right: 5px;
}

/* 选择大区 */
#milo-dialog .milo-dialog {
  -webkit-transform: translate(-50%, -50%) scale(2);
          transform: translate(-50%, -50%) scale(2);
  position: absolute;
  top: 50%;
  left: 50%;
}

.popup {
  display: none;
  position: relative;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  background-repeat: no-repeat;
  background-size: 100% auto;
}
.popup *,
.popup ::before,
.popup ::after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  outline: none;
  background-size: 100% auto;
  background-repeat: no-repeat;
}
.popup + .popup {
  margin-top: 30px;
}
.popup .button-group {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 30px;
}
.popup .button-group .button {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 254px;
  height: 68px;
  line-height: 68px;
  font-family: "NotoSansSC-Bold";
  font-size: 25px;
  letter-spacing: 1px;
  text-align: center;
  color: #000;
  background-image: url("//game.gtimg.cn/images/r6/web202408/common/common-button.png");
}
.popup .button-group .button svg {
  margin-left: 15px;
}
.popup .button-group .button + .button {
  margin-left: 30px;
}
.popup .button-group .button-cancel {
  -webkit-filter: brightness(0.8);
          filter: brightness(0.8);
}

.popup-close {
  position: absolute;
  top: 20px;
  right: 22px;
  width: 26px;
  height: 26px;
  background-image: url("//game.gtimg.cn/images/r6/web202408/common/popup-close.png");
}

.popup-panel {
  position: relative;
  width: 540px;
}
.popup-panel .panel-head {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  position: relative;
  height: 140px;
  background-color: rgba(13, 21, 29, 0.9);
}
.popup-panel .panel-head .title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 0 36px;
  font-family: "NotoSansSC-Bold";
  font-size: 25px;
  white-space: nowrap;
  color: #fff;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.popup-panel .panel-head .title span {
  position: absolute;
  top: 50%;
  width: 2px;
  height: 16px;
  background-color: #e2003e;
  -webkit-transform: translateY(-50%) skew(-15deg);
          transform: translateY(-50%) skew(-15deg);
}
.popup-panel .panel-head .title span:nth-of-type(1) {
  left: 0;
  -webkit-transform-origin: bottom left;
          transform-origin: bottom left;
}
.popup-panel .panel-head .title span:nth-of-type(2) {
  right: 0;
  -webkit-transform-origin: top right;
          transform-origin: top right;
}
.popup-panel .panel-head .adorn {
  position: absolute;
  pointer-events: none;
}
.popup-panel .panel-head .adorn.adorn-1 {
  top: 0;
  left: 0;
}
.popup-panel .panel-head .adorn.adorn-2 {
  top: -8px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.popup-panel .panel-head .adorn.adorn-3 {
  top: 13px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  opacity: 0.1;
}
.popup-panel .panel-head .adorn.adorn-4 {
  bottom: 22px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.popup-panel .panel-head .adorn.adorn-5 {
  bottom: -7px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.popup-panel .panel-body {
  position: relative;
  padding: 60px 44px;
  background-color: rgba(13, 21, 29, 0.6);
}
.popup-panel .panel-body .adorn {
  position: absolute;
  pointer-events: none;
}
.popup-panel .panel-body .adorn.adorn-1 {
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  opacity: 0.2;
}
.popup-panel .panel-body .adorn.adorn-2 {
  bottom: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.popup-panel .panel-body .adorn.adorn-3 {
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

/*** 横屏提示 ***/
.landscape {
  display: none;
}

@media all and (min-device-width: 1025px) {
  .landscape {
    display: none;
  }
}
@-webkit-keyframes rotate45 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(10deg);
            transform: rotate(10deg);
  }
  50% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  75% {
    -webkit-transform: rotate(10deg);
            transform: rotate(10deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@keyframes rotate45 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(10deg);
            transform: rotate(10deg);
  }
  50% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  75% {
    -webkit-transform: rotate(10deg);
            transform: rotate(10deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@media all and (orientation: landscape) and (min-width: 480px) and (max-device-width: 1024px) {
  html,
  body {
    position: relative;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
  }
  .landscape {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100%;
    height: 100%;
    background-image: url("//game.gtimg.cn/images/r6/web202408/common/landscape.jpg");
    background-position: center;
  }
  .landscape-panel {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
  .landscape-image {
    position: relative;
    width: 87.7463054187px;
    height: 86.8226600985px;
    background-image: url("//game.gtimg.cn/images/r6/web202408/common/landscape-image.png");
    -webkit-animation: rotate45 0.8s infinite;
            animation: rotate45 0.8s infinite;
  }
  .landscape-tips {
    position: relative;
    line-height: 1;
    margin-top: 18.4729064039px;
    font-family: "NotoSansSC-Black";
    font-size: 15.2401477833px;
    color: #e1003c;
  }
}
/*** PC提示 ***/
.pc-qrcode {
  display: none;
}

@media all and (min-device-width: 1025px) {
  .pc-qrcode {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 1001;
    width: 1920px;
    height: 1080px;
    background-image: url("//game.gtimg.cn/images/r6/web202408/common/pc-qrcode.jpg");
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
  .pc-qrcode .qrcode-panel {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
  .pc-qrcode .adorn {
    position: absolute;
    pointer-events: none;
  }
  .pc-qrcode .adorn.adorn-1 {
    top: 34px;
    left: 0;
  }
  .pc-qrcode .adorn.adorn-2 {
    bottom: 48px;
    left: 0;
  }
  .pc-qrcode .adorn.adorn-3 {
    top: 0;
    left: 0;
    left: 50%;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
  .pc-qrcode .adorn.adorn-4 {
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
  .pc-qrcode .adorn.adorn-left, .pc-qrcode .adorn.adorn-right {
    top: 0;
    width: 241px;
    height: 1080px;
    background-image: url("//game.gtimg.cn/images/r6/web202408/common/pc-qrcode-text.png");
    background-size: 241px 1629px;
    background-repeat: repeat-y;
    opacity: 0.3;
  }
  .pc-qrcode .adorn.adorn-left {
    left: -138px;
    -webkit-animation: backgroundMoveBottom 6000s linear infinite;
            animation: backgroundMoveBottom 6000s linear infinite;
  }
  .pc-qrcode .adorn.adorn-right {
    right: -138px;
    -webkit-animation: backgroundMoveTop 6000s linear infinite;
            animation: backgroundMoveTop 6000s linear infinite;
  }
  .pc-qrcode .qrcode-content {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 1138px;
    height: 598px;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
  .pc-qrcode .qrcode-item {
    position: absolute;
    top: 72px;
    left: 50%;
    width: 390px;
    height: 390px;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
  .pc-qrcode .qrcode-image {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 320px;
    height: 320px;
    padding: 10px;
    background-color: rgba(225, 0, 60, 0.3);
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
  .pc-qrcode .qrcode-image img {
    display: block;
    width: 100%;
    height: 100%;
  }
  .pc-qrcode .qrcode-tips {
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 334px;
    height: 88px;
    line-height: 88px;
    font-family: "NotoSansSC-Bold";
    font-size: 25px;
    text-align: center;
    letter-spacing: 1px;
    color: #fffefe;
    background-image: url("//game.gtimg.cn/images/r6/web202408/common/qrcode-tips.png");
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
}
@media screen and (max-device-width: 1024px) {
  .pc-qrcode {
    display: none !important;
  }
}
/*** 弹窗 - Loading ***/
.popup-loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.popup-loading .loading-panel {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 750px;
  height: 1624px;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.popup-loading .loading-progress {
  position: absolute;
  top: 895px;
  left: 50%;
  line-height: 1;
  font-family: "Tungsten";
  font-size: 58px;
  color: #fff;
  -webkit-transform: translate(-50%);
          transform: translate(-50%);
}
.popup-loading .loading-progress span {
  font-size: 41px;
}
.popup-loading .btn-open {
  position: absolute;
  bottom: 515px;
  left: 50%;
  width: 254px;
  height: 68px;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}

/*** 弹窗 - 无数据 ***/
.popup-none {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}
.popup-none .none-panel {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.popup-none .none-text {
  position: relative;
  width: 434px;
  line-height: 1.2;
  margin: 0 auto;
  padding: 40px 25px;
  font-family: "NotoSansSC-Bold";
  font-size: 25px;
  text-align: center;
  word-break: break-all;
  color: #e2003e;
}
.popup-none .none-text-adorn {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}
.popup-none .none-text-adorn::before, .popup-none .none-text-adorn::after {
  content: "";
  position: absolute;
  left: 0;
  width: 434px;
  height: 26px;
  background-image: url("data:img/png;base64,iVBORw0KGgoAAAANSUhEUgAAAbIAAAAaCAMAAADllSkZAAAABGdBTUEAALGPC/xhBQAAACBjSFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAUVBMVEXiAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7iAD7///+ufcfTAAAAGXRSTlMAf/5z+19d9UztOeIq1R3HEsa2CwqiBYwBIEPsbAAAAAFiS0dEGnVn5DIAAAAHdElNRQfoARMOASKP6r8hAAAA3klEQVRo3u3YuQ7CMBRE0WyQPYRAFv//j1KEB7azuRs9aW5jFy5GOp2jyC42VhEDZkvEx88cMZJBM0FmrhjJoJkQM0+MZNBMgJkvRjJo5tpsI0YyaObSTMSSFL2VuaXJvpmIZTf0QuZ3z/bMRCwv0PvYtiLfmolYWaHXsb2q0jcTsbpBb2P7NbVrJmJth17Gjupa20zEHj16Fzuuf/7NRGx4oVexs97Dz+x7GSf0JnbeNMoXx3rMC3oRu2qZHTL0HBYSydRFMnWRTF0kUxfJ1EUydZFMXSRTF8nUtVp9ABCnLFG4FD0gAAAAAElFTkSuQmCC");
}
.popup-none .none-text-adorn::before {
  top: 0;
}
.popup-none .none-text-adorn::after {
  bottom: 0;
  -webkit-transform: scaleY(-1);
          transform: scaleY(-1);
}

/*** 弹窗 - 登录 ***/
.popup-platform {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}
.popup-platform .platform-panel {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.popup-platform .platform-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: distribute;
      justify-content: space-around;
}
.popup-platform .platform-list li {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 104px;
  height: 104px;
}
.popup-platform .platform-list li.platform-qq {
  background-image: url("//game.gtimg.cn/images/r6/web202408/common/platform-qq.png");
  background-size: 51px 58px;
  background-position: center;
}
.popup-platform .platform-list li.platform-wx {
  background-image: url("//game.gtimg.cn/images/r6/web202408/common/platform-wx.png");
  background-size: 56px 51px;
  background-position: center;
}
.popup-platform .platform-list li:not(:first-of-type) {
  margin-left: 194px;
}

/*** 弹窗 - 提示保存图片 ***/
.popup-save {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 1238px;
}
.popup-save::before {
  content: "";
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8);
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.popup-save .panel-body {
  padding: 30px;
}
.popup-save .save-panel {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.popup-save .save-image {
  position: relative;
}